# -*- coding: utf-8 -*-

# DEFINE THE SEARCH CHANNELS:

AJAX_LOOKUP_CHANNELS = {
    # simplest way, automatically construct a search channel
    # by passing a dictionary
    #'label': {'model': 'server.label', 'search_field': 'name'},

    # Custom channels are specified with a tuple
    # channel: ( module.where_lookup_is, ClassNameOfLookup )
    'attribute': ('migasfree.server.lookups', 'AttributeLookup'),
    'package': ('migasfree.server.lookups', 'PackageLookup'),
    'tag': ('migasfree.server.lookups', 'TagLookup'),
    'devicelogical': ('migasfree.server.lookups', 'DeviceLogicalLookup'),
    'computer': ('migasfree.server.lookups', 'ComputerLookup'),
    'attribute_computers': ('migasfree.server.lookups', 'Attribute_ComputersLookup'),
}

AJAX_SELECT_BOOTSTRAP = False
# True: [easiest]
#   use the admin's jQuery if present else load from jquery's CDN
#   use jqueryUI if present else load from jquery's CDN
#   use jqueryUI theme if present else load one from jquery's CDN
# False/None/Not set: [default]
#   you should include jQuery, jqueryUI + theme in your template

AJAX_SELECT_INLINES = False
# 'inline': [easiest]
#   includes the js and css inline
#   this gets you up and running easily
#   but on large admin pages or with higher traffic it will be a bit wasteful.
# 'staticfiles':
#   @import the css/js from {{STATIC_URL}}/ajax_selects
#     using django's staticfiles app
#   requires staticfiles to be installed and to run its management command
#     to collect files
#   this still includes the css/js multiple times and is thus inefficient
#   but otherwise harmless
# False/None: [default]
#   does not inline anything. include the css/js files in your compressor stack
#   or include them in the head of the admin/base_site.html template
#   this is the most efficient but takes the longest to configure

# when using staticfiles you may implement your own ajax_select.css
# and customize to taste
